<template>
    <header class="main-header">
        <!-- Logo -->
        <router-link :to="{name: 'Home'}" class="logo">
            <!-- mini logo for sidebar mini 50x50 pixels -->
            <span class="logo-mini">
                <b>LA</b>P
            </span>
            <!-- logo for regular state and mobile devices -->
            <span class="logo-lg">
                <b>Lightbox</b> Portal
            </span>
        </router-link>

        <!-- Header Navbar: style can be found in header.less -->
        <nav class="navbar navbar-static-top">
            <!-- Sidebar toggle button-->
            <a href="#" class="sidebar-toggle" data-toggle="push-menu" role="button">
                <span class="sr-only">Toggle navigation</span>
            </a>
            <!-- Navbar Right Menu -->
            <div class="navbar-custom-menu">
                <ul class="nav navbar-nav">
                    <!-- Messages: style can be found in dropdown.less-->
                    <li v-show="isVisible" class="dropdown messages-menu">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            <i class="fa fa-envelope-o"></i>
                            <span class="label label-success">{{ unreadMessagesCount }}</span>
                        </a>
                        <ul class="dropdown-menu">
                            <li class="header">You have {{ unreadMessagesCount }} messages</li>
                            <li>
                                <!-- inner menu: contains the actual data -->
                                <ul class="menu">
                                    <li>
                                        <!-- start message -->
                                        <a href="#">
                                            <div class="pull-left">
                                                <img
                                                    src="~admin-lte/dist/img/user2-160x160.jpg"
                                                    class="img-circle"
                                                    alt="User Image"
                                                >
                                            </div>
                                            <h4>
                                                Support Team
                                                <small>
                                                    <i class="fa fa-clock-o"></i> 5 mins
                                                </small>
                                            </h4>
                                            <p>Why not buy a new awesome theme?</p>
                                        </a>
                                    </li>
                                    <!-- end message -->
                                    <li>
                                        <a href="#">
                                            <div class="pull-left">
                                                <img
                                                    src="~admin-lte/dist/img/user3-128x128.jpg"
                                                    class="img-circle"
                                                    alt="User Image"
                                                >
                                            </div>
                                            <h4>
                                                AdminLTE Design Team
                                                <small>
                                                    <i class="fa fa-clock-o"></i> 2 hours
                                                </small>
                                            </h4>
                                            <p>Why not buy a new awesome theme?</p>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#">
                                            <div class="pull-left">
                                                <img
                                                    src="~admin-lte/dist/img/user4-128x128.jpg"
                                                    class="img-circle"
                                                    alt="User Image"
                                                >
                                            </div>
                                            <h4>
                                                Developers
                                                <small>
                                                    <i class="fa fa-clock-o"></i> Today
                                                </small>
                                            </h4>
                                            <p>Why not buy a new awesome theme?</p>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#">
                                            <div class="pull-left">
                                                <img
                                                    src="~admin-lte/dist/img/user3-128x128.jpg"
                                                    class="img-circle"
                                                    alt="User Image"
                                                >
                                            </div>
                                            <h4>
                                                Sales Department
                                                <small>
                                                    <i class="fa fa-clock-o"></i> Yesterday
                                                </small>
                                            </h4>
                                            <p>Why not buy a new awesome theme?</p>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#">
                                            <div class="pull-left">
                                                <img
                                                    src="~admin-lte/dist/img/user4-128x128.jpg"
                                                    class="img-circle"
                                                    alt="User Image"
                                                >
                                            </div>
                                            <h4>
                                                Reviewers
                                                <small>
                                                    <i class="fa fa-clock-o"></i> 2 days
                                                </small>
                                            </h4>
                                            <p>Why not buy a new awesome theme?</p>
                                        </a>
                                    </li>
                                </ul>
                            </li>
                            <li class="footer">
                                <a href="#">See All Messages</a>
                            </li>
                        </ul>
                    </li>
                    <!-- Notifications: style can be found in dropdown.less -->
                    <li v-show="isVisible" class="dropdown notifications-menu">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            <i class="fa fa-bell-o"></i>
                            <span class="label label-warning">{{ unreadNotificationsCount }}</span>
                        </a>
                        <ul class="dropdown-menu">
                            <li class="header">You have {{ unreadNotificationsCount }} notifications</li>
                            <li>
                                <!-- inner menu: contains the actual data -->
                                <ul class="menu">
                                    <li>
                                        <a href="#">
                                            <i class="fa fa-users text-aqua"></i> 5 new members joined today
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#">
                                            <i class="fa fa-warning text-yellow"></i> Very long description here that may not fit into the
                                            page and may cause design problems
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#">
                                            <i class="fa fa-users text-red"></i> 5 new members joined
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#">
                                            <i class="fa fa-shopping-cart text-green"></i> 25 sales made
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#">
                                            <i class="fa fa-user text-red"></i> You changed your username
                                        </a>
                                    </li>
                                </ul>
                            </li>
                            <li class="footer">
                                <a href="#">View all</a>
                            </li>
                        </ul>
                    </li>
                    <!-- User Account: style can be found in dropdown.less -->
                    <li class="dropdown user user-menu">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            <img :src="getAvatar()" class="user-image" alt="User Image">
                            <span class="hidden-xs">{{ currentUser.name }}</span>
                        </a>
                        <ul class="dropdown-menu">
                            <!-- User image -->
                            <li class="user-header">
                                <img :src="getAvatar()" class="img-circle" alt="User Image">

                                <p>
                                    {{ currentUser.name }}
                                    <span
                                        v-show="currentUser.position"
                                    >- {{ currentUser.position }}</span>
                                    <small>{{ currentUser.createdAt }}</small>
                                </p>
                            </li>
                            <!-- Menu Body -->
                            <li class="user-body">
                                <ul class="list-group list-group-unbordered">
                                    <li class="list-group-item">
                                        <b>Remainning Points: {{remainningPoints}}</b>
                                    </li>
                                    <li class="list-group-item">
                                        <b>Usage Points: {{usagePoints}}</b>
                                    </li>
                                </ul>
                                <!-- <row>
                                    <div class="col-xs-4 text-center">
                    <a href="#">Followers</a>
                  </div>
                  <div class="col-xs-4 text-center">
                    <a href="#">Sales</a>
                  </div>
                  <div class="col-xs-4 text-center">
                    <a href="#">Friends</a>
                                    </div>
                                </row>-->
                            </li>
                            <!-- Menu Footer-->
                            <li class="user-footer">
                                <div class="pull-left">
                                    <a
                                        class="btn btn-default btn-flat"
                                        @click="routeToProfile"
                                    >Profile</a>
                                </div>
                                <div class="pull-right">
                                    <a @click="logout" class="btn btn-default btn-flat">Sign out</a>
                                </div>
                            </li>
                        </ul>
                    </li>
                    <!-- Control Sidebar Toggle Button -->
                    <li v-show="isVisible">
                        <a href="#" data-toggle="control-sidebar">
                            <i class="fa fa-gears"></i>
                        </a>
                    </li>
                </ul>
            </div>
        </nav>
    </header>
</template>

<script src="./NavBar.js"></script>
